package ru.yandex.webmaster.common.contentpreview;

import ru.yandex.misc.enums.IntEnum;
import ru.yandex.misc.enums.IntEnumResolver;

/**
 * @author aherman
 */
public enum ContentPreviewType implements IntEnum {
    UNKNOWN(0),

    DESKTOP(1),
    MOBILE(2),
    ;

    private int value;

    private ContentPreviewType(int value) {
        this.value = value;
    }

    @Override
    public int value() {
        return value;
    }

    public static final IntEnumResolver<ContentPreviewType> R = IntEnumResolver.r(ContentPreviewType.class);
}
